Incidencia #275 (masinfo Error: Resuelto)

Abierto hace 7 años

Última modificación 5 años

LibreOffice no abre archivos desde servidores con Windows Server

Informado por: danidavila@… Propietario: HuntingBears
Prioridad: Muy Alta Hito: canaima-popular-3.1~VC2
Componente: Canaima Popular Versión: No Definido
Gravedad: Importante Palabras clave: libreoffice, error, red, samba
Cc: Asignar A:

Descripción

Anteriormente en Canaima 2.1 se podia abrir archivos de Office o de OpenOffice? ubicados en un servidor de archivos con el sistema operativo Windows Server 2003. He realizado pruebas con Canaima 3.0 VC4 y VC5 y el LibreOffice? intenta abrir pero no logra iniciar la aplicacion. Tengo que copiar el archivo localmente para poderlo abrir. Por favor, la solucion de este problema es muy importante para mi institucion que desea migrar las estaciones de trabajo para posteriormente instalar un servidor LDAP con NFS, pero por los momentos necesitamos que siga funcionado el servidor con Windows. Curiosamente, con cualquier version de Ubuntu no me da problemas. Gracias por su atencion y ayuda...

Adjuntos

diff-debian-canaima.packages (35.9 KB) - añadido por HuntingBears hace 6 años.
diff-debian-canaima.patch (35.9 KB) - añadido por erickcion hace 6 años.
Diferencia de paquetes entre Canaima y Debian (en formato patch)

Historial de cambios

comment:1 Cambiado el 7 años por mmorales@…

Hola buenas tardes, te escribe Manuel Morales desde el Despacho de la Presidencia. Eso que mencionas es cierto y tambien ocurre de canaima a canaima ultima version. El problema a mi parecer es por el FIREWALL que esta bloqueando la apertura remota de los archivos. te recomiendo, instalar ufw, hagas el ajuste correspondiente y luego reinicies el equipo. Para tu celebracion ya debes poder abrir dichos archivos en la carpeta remota. cualquier cosa a tu orden por mmorales@…

comment:2 Cambiado el 7 años por danidavila@…

Muchas gracias por tu detalle estimado Morales. Sin embargo no creo que sea el firewall porque con el Canaima 2.1 (ya tenemos varios equipos con esta version) no me da problema alguno para abrir los archivos ubicados en un servidor Windows 2003 Server. Además, puedo abrir cualquier otro tipo de archivos (musica, video, pdf, etc), pero no los de LibreOffice?. Creemos que es un problema de integracion entre LibreOffice? y Gnome que aun no se ha resuelto en la VC5.

Además, como mencioné anteriormente, con Ubuntu tampoco me da problemas para abrir los archivos remotos...

Gracias...

comment:3 Cambiado el 7 años por jesuslara

  • Estado cambiado de new to needinfo

¿Cual es el error exactamente?, en todo caso, debería ser de configuración de Samba como cliente (que no está por defecto en Canaima 3.0 y hay que instalarlo y configurarlo a mano).

Se necesita más información al respecto ...

comment:4 Cambiado el 7 años por mmorales@…

  • Estado cambiado de needinfo to assigned

Buenos Dias Dani. yo tuve tu problema y lo solucione con lo que te dije, me pasaba lo mismo que a ti. y ahora abro sin problema alguno los archivos de libreoffice en las carpetas compartidas. De hecho ahora abro desde cualquier equipo canaima 3.0 los archivos libreoffice. El consejo que te doy es que explores el programa ufw. sobre una maquina con canaima 3.0. mmorales

comment:5 Cambiado el 7 años por HuntingBears

  • Hito cambiado de Canaima-3.0~VC4 to Canaima 3.0

Inicio del ciclo de desarrollo para Canaima nombre código "Auyantepui" (3.0.1/3.1). Moviendo todos los tickets activos pertenecientes a la versión 3.0 al Hito "Canaima 3.0".

comment:6 Cambiado el 7 años por anónimo

No me parece que sea un firewall de equipo, ya que los demas archivos por ejemplo los archivos con extensión TXT si los abre con otra aplicación y los archivos si se abren con el Abiword

comment:7 Cambiado el 7 años por danidavila@…

Definitivamente el problema no es por un firewall. En Debian 6 resolví el problema instalando el paquete "openoffice.org-gnome"; sin embargo este paquete no se puede instalar en Canaima.

comment:8 Cambiado el 7 años por guerrerocarlos

con libreoffice.org-gnome instalado aun presenta el problema

comment:9 Cambiado el 7 años por jesuslara

canaima 3.0 no incorpora Samba (en ninguna modalidad), trate de instalar y configurar Samba como cliente

comment:10 Cambiado el 7 años por guerrerocarlos

El problema lo presentan aún cuando si pueden copiar y pegar el archivo desde el directorio smb:// a su escritorio y abrirlo (es decir que ya han instalado samba), lo que no pueden es abrirlo directamente con Libreoffice desde la carpeta samba.

comment:11 Cambiado el 7 años por rcordero38@…

Tengo el mismo problema!! No he podido resolverlo

comment:12 seguimiento: ↓ 13 Cambiado el 7 años por caragui38@…

Alguien ha resuelto el problema de abrir archivos en un servidor windows desde un equipo con Canaima? Ese problema lo presento alguna version de Ubuntu anteriormente y lo solucionaron en pocos meses. Agradeceria si alguien tiene la solucion

Gracias

comment:13 en respuesta a: ↑ 12 Cambiado el 7 años por danidavila@…

Replying to caragui38@…:

Alguien ha resuelto el problema de abrir archivos en un servidor windows desde un equipo con Canaima? Ese problema lo presento alguna version de Ubuntu anteriormente y lo solucionaron en pocos meses. Agradeceria si alguien tiene la solucion

Gracias

Buenas tardes amigo, te cuento que yo nunca pude desde Canaima 3.0 abrir un archivo ubicado en un servidor con Windows 2003 Server. Sin embargo, con Canaima 2.1 no tuve problemas. Con Ubuntu tampoco da problemas, y en Debian 6 resolví el problema instalando el paquete "openoffice.org-gnome"; sin embargo este paquete no se puede instalar en Canaima. A la final preferimos utilizar Debian 6 y adaptarlo a nuestras necesidades...

comment:14 Cambiado el 7 años por Axelio

¿Y no es equivalente el paquete libreoffice-gnome? ¿o tampoco te sirvió?

comment:15 seguimiento: ↓ 16 Cambiado el 7 años por HuntingBears

El compañero Luigino Bracci ha reportado lo siguiente en la lista de desarrolladores:

En nuestro caso, instalando en los clientes Canaima 3.0 los paquetes smbfs y cifs-utils se resolvió el
problema. Usamos cifs en el /etc/fstab para conectarnos en el servidor Samba, de esta manera:

//servidor/carpeta/   /media/carpeta   cifs rw,user,noauto,exec,username=usuariosamba,password=clave  0 0

Espero les sea de utilidad.

Editado por último en fecha 7 años por HuntingBears (anterior) (diferencia)

comment:16 en respuesta a: ↑ 15 Cambiado el 7 años por HuntingBears

También puedo agregar que el compañero Yoel Jerez, del equipo de seguridad de CNTI, ha implementado ésto y le ha funcionado perfectamente.

Además, tenemos indicios de que en la versión 3.3.3 de LibreOffice? éste problema ha sido resuelto, por lo que se procederá a empaquetarla y subirla al repositorio de desarrollo de Canaima.

Replying to lmartinezf:

El compañero Luigino Bracci ha reportado lo siguiente en la lista de desarrolladores:

En nuestro caso, instalando en los clientes Canaima 3.0 los paquetes smbfs y cifs-utils se resolvió el
problema. Usamos cifs en el /etc/fstab para conectarnos en el servidor Samba, de esta manera:

//servidor/carpeta/   /media/carpeta   cifs rw,user,noauto,exec,username=usuariosamba,password=clave  0 0

Espero les sea de utilidad.

comment:17 Cambiado el 7 años por obiwan

es verdad luis adicionalmente a eso debes cambiar algo en el archivo smb.conf el cual se encuentra en el /etc/samba/smb.conf

[DIR_COMPARTIR]

comment = Perfil de usuario
path = /home/prueba/tmp
guest ok = yes
browseable = yes
create mask = 0755
directory mask = 0755
writable = yes
force user = USUARIO

force group = GRUPO

y luego editar el /etc/fstab para que la unidad se automonte en el reinicio del SO, claro siempre y cuando el servidor samba tenga el recurso compartido. Y lo otro es una configuración en el servidor samba para que el recurso compartido tenga como permisologia la de un usuario en especifico, para ello tanto el directorio como subdirectorio y archivos deben tener como usuario y grupo al que se le indica en la configuración, en pocas palabras un:

chown -R USUARIO.GRUPO DIR_COMPARTIR

añadir esto al fsat:

direccion_ip_de_si/DIR_COMPARTIR /media/prueba cifs guest,_netdev,auto
0 0

todos los agradecimentos al Yoel jerez que hizo la implemetacion he investigacion, y luego de probar y corregir unos pequeños detalles los paso finales han quedado como se expone arriba

comment:18 Cambiado el 7 años por JuanCer1123

Muchas gracias, me ha ayudado, pero el problema para mi persiste por el hecho de que donde yo trabajo los usuarios cambian de computadores, y entonces no puedo estar dejando un usuario específico para que ellos abran los documentos por que posiblemente no tendrá acceso a esos archivos! alguna solución de forma de autenticar de manera dinámica?

JuanCer1123

comment:19 Cambiado el 7 años por aristobulo@…

El problema persiste aún después de instalar smbfs y libreoffice-gnome

comment:20 Cambiado el 6 años por erickcion

  • Palabras clave libreoffice, error, red, samba añadidos
  • Prioridad cambiado de Importante to Crítica
  • Componente cambiado de Metadistribución to Canaima Popular
  • Gravedad establecido a Muy grave

comment:21 seguimiento: ↓ 22 Cambiado el 6 años por erickcion

He estado buscando información sobre este bug tan relevante, al parecer hay problema entre LibreOffice? y GVFS el cual le impide incluso guardar archivos en la red desde "Guardar Como...".

Al parecer en la versión 1:3.5.0~beta2-2 se hicieron las correcciones para este asunto, según este mensaje en bugs.freedesktop.org:

https://bugs.freedesktop.org/show_bug.cgi?id=39093#c17

Aún así me dijeron que en una instalación limpia de Canaima 3.1 este error no se presenta, probaré en una máquina virtual con 3.1 instalado desde cero. También instalaré la versión de libreoffice 3.5.4 disponible actualmente en la pagina de LibreOffice? a ver que tal.

Seguiré probando.

comment:22 en respuesta a: ↑ 21 Cambiado el 6 años por erickcion

Replying to erickcion:

Aún así me dijeron que en una instalación limpia de Canaima 3.1 este error no se presenta, probaré en una máquina virtual con 3.1 instalado desde cero.


El error persiste en Canaima 3.1, aún en una instalación limpia.

comment:23 Cambiado el 6 años por erickcion

Tratando de descartar que esto fuera un problema exclusivo de la Suite LibreOffice? la desinstalé de Canaima 3.1 e instalé toda la suite OpenOffice?.org 3.2.1 desde los repositorios de Canaima.

Al hacer la prueba de abrir los archivos compartidos con Samba igualmente falló. Probé instalar también el paquete openoffice.org-gnome pero no hubo cambios.

Lo mismo sucedió instalando la versión estable 3.5.4 de LibreOffice? descargada directamente desde la web del proyecto. No hubo cambios en el comportamiento, el error sigue sucediendo.

Hice también el intento de abrir los archivos con OpenOffice? 3.2.0 desde otra máquina con Ubuntu 10.04 y los documentos abrieron sin ningún problema.

Al parecer independientemente de la versión de OpenOffice? o LibreOffice? que se utilice el error permanece y sin pistas que nos acerquen a su causa.

Esto me hace pensar que este fallo no se debe específicamente a LibreOffice? sino que se trata más bien de un asunto de mala configuración de algún paquete de Canaima, específicamente en la máquina cliente, no del servidor. Esto también da cuenta de que el problema no es de Samba ya que conectándose con otras distros sí abren los archivos.

Como lo comenté anteriormente (comment:21) parece que el problema está entre el LibreOffice? y el soporte GVFS o algo por el estilo ya que tanto en este hilo como en muchos foros a través de la web la gente ha logrado solucionar con CIFS como en el ejemplo que está en comment:15.

Por los momentos tengo poco conocimiento acerca de estas herramientas como GVFS, CIFS, etc. así que quizás pueda avanzar poco en esto. Cualquier aporte será bienvenido.

Seguiré averiguando.

comment:24 Cambiado el 6 años por erickcion

Estuve buscando posibles causas de este problema hoy y encontré lo siguiente que pasa dentro de la carpeta oculta .gvfs:

Si me conecto a la carpeta compartida desde una máquina con Ubuntu, dentro de .gvfsse crea automáticamente otra carpeta con el nombre del elemento al que estoy accediendo, de este modo:

$ ls -l /home/usuario-ubuntu/.gvfs/desarrollo\ en\ canaima-popular/
total 1546
-rwx------ 1 petipua petipua   40438 2012-05-25 11:46 Actividad-07-04-12.odt
-rwx------ 1 petipua petipua  410577 2012-05-04 17:13 APN - COMUNIDAD.odp
-rwx------ 1 petipua petipua 1076470 2012-03-12 16:27 Canaima_Presentacion.pdf
-rwx------ 1 petipua petipua   27032 2012-03-20 15:30 datos_participantes VI Cayapa.ods
-rwx------ 1 petipua petipua   26218 2012-04-12 15:34 Soporte para INFOCENTRO.odt

En cambio, si me conecto a la carpeta compartida desde una máquina en Canaima, la carpeta .gvfs permanece totalmente vacía:

$ ls -l /home/usuario-canaima/.gvfs/
total 0

Por alguna razón no se están creando estas carpetas dentro de .gvfs apuntando a la red y quizás esto forma parte de las causas que generan este error.

Sigo averiguando.

comment:25 Cambiado el 6 años por HuntingBears

Gracias a tan minucioso trabajo del compañero erickcion, hemos podido darnos cuenta que el demonio gvfs-fuse-daemon no se inicia por defecto en Canaima 3.0, ni tampoco en Canaima 3.1 VC1. Tal falla se debe a la ausencia del paquete gvfs-fuse.

Por otro lado, cada usuario debe poder tener permisos sufucuentes para poder acceder al subsistema de particiones en espacio de usuario (FUSE) para que el demonio gvfs-fuse-daemon pueda montar el gvfs en ~/.gvfs. Los permisos se adquieren adhiriendo el usuario al grupo fuse.

En resumidas cuentas, el bug se resuelve siguiendo estos pasos:

1.- Instalar el paquete gvfs-fuse:

aptitude install gvfs-fuse

2.- Agregar el usuario al grupo fuse (como superusuario):

su
addgroup [USUARIO] fuse

Si no sabe cuál es su [USUARIO], puede ejecutar el comando whoami (antes de obterner permisos de superusuario) para obtenerlo.

Por supuesto, estamos estudiando una solución más integral y automatizada para implementarla mediante actualizaciones.

Por favor difundan esta solución. Gracias.

Cambiado el 6 años por HuntingBears

comment:26 Cambiado el 6 años por HuntingBears

Se adjunta un archivo que contiene las diferencias exactas (de paquetes) entre un Debian Squeeze 6.0 con escritorio y Canaima Popular 3.1, como aporte a la investigación.

~Luis

Cambiado el 6 años por erickcion

Diferencia de paquetes entre Canaima y Debian (en formato patch)

comment:27 Cambiado el 6 años por erickcion

Subí el archivo en formato .patch para que el trac mejore la visualización de las diferencias.

attachment:diff-debian-canaima.patch

comment:28 Cambiado el 6 años por HuntingBears

  • Propietario cambiado de Canaima a HuntingBears
  • Estado cambiado de assigned to accepted

comment:29 Cambiado el 6 años por HuntingBears

  • Estado cambiado de accepted to resuelta
  • Resolución establecido a Fijada

Este cambio fue realizado permanentemente agregando la dependencia a gvfs-fuse en canaima-escritorio-gnome:

https://gitorious.org/canaima-gnu-linux/canaima-escritorio-gnome/commit/2a10698d921ca3ede0afda9a88e45046590d3934

Ademaś, agregando todos los usuarios presentes (y futuros) al grupo fuse, tanto para los que utilizan la herramienta useradd como los que utilizan adduser en los paquetes base-files y canaima-escritorio-gnome respectivamente:

https://gitorious.org/canaima-gnu-linux/canaima-escritorio-gnome/commit/7d06b66fe0376cf8183e71db8da542cad5b97c2d

https://gitorious.org/canaima-gnu-linux/base-files/commit/eadb027ca08f88df6307b388837310512c69ccde

Para disfrutar de los cambios, se puede actualizar la rama auyantepui (aptitude update && aptitude full-upgrade), en donde se encuentra la última versión del paquete (3.1-26).

~Luis

comment:30 Cambiado el 6 años por khernandez

  • Estado cambiado de resuelta to closed

Este caso esta solucionado, con el cambio realizado permanentemente agregando la dependencia gvfs-fuse en canaima-escritorio-gnome, y en la wiki esta la solucion tambien http://wiki.canaima.softwarelibre.gob.ve/wiki/Abrir_documentos_de_libreoffice_en_carpetas_compartidas

comment:31 Cambiado el 5 años por erickcion

  • Estado cambiado de closed to new
  • Versión cambiado de 3.0 to No Definido
  • Tipo cambiado de Defecto to Error
  • Gravedad cambiado de Muy grave to Importante
Nota: Vea TracTickets para ayuda en el uso de incidencias.